﻿@model FERZid.Models.TipKomponente

@{
    ViewData["Title"] = "Details";
}

<h2>Details</h2>

<div>
    <h4>TipKomponente</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Naziv)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Naziv)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Opis)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Opis)
        </dd>
    </dl>
</div>

@*<span>Uređaji ove  vrste:</span>
<div>
    <table class="table">
        <thead>
            <tr>
                <th>
                    Ime
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Komponenta.Count > 0)
            {
                @foreach (var komponenta in Model.Komponenta)
                {
                    <tr>
                        <td>
                            @komponenta.Idkomponente
                        </td>
                        <td>
                            <a asp-controller="Komponenta" asp-action="Edit" asp-route-id="@komponenta.Iduredaja">Edit</a> |
                            <a asp-controller="Komponenta" asp-action="Details" asp-route-id="@komponenta">Details</a>
                        </td>
                    </tr>
                }
            }
            else
            {
                <p>Nema komponenata ovoga tipa.</p>
            }


        </tbody>
    </table>
</div>*@

<div>
    <a asp-action="Edit" asp-route-id="@Model.IdtipKomponente">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>
